FreeMat

- Main Page
- Related Pages

vtkLevelIdScalars

Section: Visualization Toolkit Graphics Classes

# Usage

vtkLevelIdScalars is a filter that generates scalars using the level number for each level. Note that all datasets within a level get the same scalar. The new scalars array is named `LevelIdScalars`.

To create an instance of class vtkLevelIdScalars, simply invoke its constructor as follows

      obj = vtkLevelIdScalars

# Methods

The class vtkLevelIdScalars has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLevelIdScalars class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLevelIdScalars = obj.NewInstance ()`
- `vtkLevelIdScalars = obj.SafeDownCast (vtkObject o)`